## fexoticoptions 2110.77

=== DESCRIPTION ===
Package: fExoticOptions
Version: 2110.77
Revision:
Date: 2009-11-03
Title: Exotic Option Valuation
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, timeDate, timeSeries, fBasics, fOptions
Suggests: RUnit
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2009-11-03 08:18:44 UTC; yankee
Repository: CRAN
Date/Publication: 2009-11-03 11:42:41

## fexoticoptions 2152.78

=== DESCRIPTION ===
Package: fExoticOptions
Version: 2152.78
Revision: 5392
Date: 2012-11-07
Title: Exotic Option Valuation
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, timeDate, timeSeries, fBasics, fOptions
Suggests: RUnit
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2012-11-07 10:33:28 UTC; yankee
Repository: CRAN
Date/Publication: 2012-11-07 12:32:22

## fexoticoptions 3042.80

=== DESCRIPTION ===
Package: fExoticOptions
Title: Rmetrics - Pricing and Evaluating Exotic Option
Date: 2017-11-12
Version: 3042.80
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides a collection of functions to evaluate
	barrier options, Asian options, binary options, currency 
    translated options, lookback options, multiple asset options
	and multiple exercise options.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics, fOptions
Imports: methods
Suggests: RUnit
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
NeedsCompilation: no
Packaged: 2017-11-17 06:21:12 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-17 08:37:45 UTC

=== debian/changelog ===
fexoticoptions (3042.80-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 May 2020 10:08:21 -0500

fexoticoptions (3042.80-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jun 2018 20:13:20 -0500

fexoticoptions (3042.80-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debianb/control: Add Depends: on ${misc:Depends}
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Nov 2017 09:51:21 -0600

fexoticoptions (2152.78-3) unstable; urgency=medium

  * debian/compat: Created			(Closes: #830422)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Jul 2016 06:59:55 -0500

fexoticoptions (2152.78-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 05:42:43 -0500

fexoticoptions (2152.78-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Nov 2012 07:21:45 -0600

fexoticoptions (2110.77-2) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Oct 2011 15:23:22 -0500

fexoticoptions (2110.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 18:38:52 -0600

fexoticoptions (2100.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Oct 2009 07:16:45 -0500

fexoticoptions (290.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 11:19:22 -0500

fexoticoptions (270.74-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Oct 2008 21:18:53 -0500

fexoticoptions (260.72-1) unstable; urgency=low

  * Initial Debian release of new Rmetrics component package
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Nov 2007 21:05:11 -0600

=== debian/control ===
Source: fexoticoptions
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper, r-base-dev (>= 4.0.0), r-cran-fbasics (>= 290.76), r-cran-foptions (>= 260.72), xvfb, xauth, xfonts-base, dh-r
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fexoticoptions
Vcs-Git: https://salsa.debian.org/edd/r-cran-fexoticoptions.git
Homepage: https://cran.r-project.org/package=fExoticOptions

Package: r-cran-fexoticoptions
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-fbasics (>= 290.76), r-cran-foptions (>= 260.72)
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fExoticOptions
 This package of functions for financial engineering and computational
 finance is part of Rmetrics, a collection of packages written and
 compiled by Diethelm Wuertz. 
 .
 fExoticOptions provides functions to price and hedge exotic options
 on one or several assets.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fexoticoptions package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R
